require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddAppetizer(AppetizerType.QUICHE, "quicheSpinach", false);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersCheese", false);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpScampi", true);

SManager:AddMeal(MealType.STEAK, "steakBeefBurgundy", true);
SManager:AddMeal(MealType.FISH, "fishParmesanHal", false);
SManager:AddMeal(MealType.CHICKEN, "chickenCordon", false);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMNewYork", false);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMAthens", true);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMOahu", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");